initial buildroot for linux 5.15

This commit is contained in:
Huan.Feng
2021-12-06 14:12:13 +08:00
parent d7767d594e
commit 7b6fc358fa
12736 changed files with 508822 additions and 0 deletions
+10
View File
@@ -0,0 +1,10 @@
config BR2_PACKAGE_STUNNEL
bool "stunnel"
depends on BR2_USE_MMU # fork()
select BR2_PACKAGE_OPENSSL
select BR2_PACKAGE_LIBOPENSSL_ENABLE_DES if BR2_PACKAGE_LIBOPENSSL
help
Stunnel is a program that wraps any TCP connection with an SSL
connection.
http://www.stunnel.org/
+35
View File
@@ -0,0 +1,35 @@
#!/bin/sh
start() {
printf "Starting stunnel: "
start-stop-daemon -S -q -p /var/run/stunnel.pid --exec /usr/bin/stunnel
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping stunnel: "
start-stop-daemon -K -q -p /var/run/stunnel.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?
+5
View File
@@ -0,0 +1,5 @@
# From https://www.stunnel.org/downloads/stunnel-5.60.tar.gz.sha256
sha256 c45d765b1521861fea9b03b425b9dd7d48b3055128c0aec673bba5ef9b8f787d stunnel-5.60.tar.gz
# Locally calculated
sha256 28b55d0157efd5ceb63640faeebb50fda13b1f49aec0b9c1240b9a3ea9f0eb4c COPYING.md
sha256 62f171d4d8b6726df61f18a6bbc0a70f79c4bc2134d837d35c81fc6289a2d84d COPYRIGHT.md
+39
View File
@@ -0,0 +1,39 @@
################################################################################
#
# stunnel
#
################################################################################
STUNNEL_VERSION_MAJOR = 5
STUNNEL_VERSION = $(STUNNEL_VERSION_MAJOR).60
STUNNEL_SITE = http://www.usenix.org.uk/mirrors/stunnel/archive/$(STUNNEL_VERSION_MAJOR).x
STUNNEL_DEPENDENCIES = host-pkgconf openssl
STUNNEL_CONF_OPTS = --with-ssl=$(STAGING_DIR)/usr --with-threads=fork \
--disable-libwrap
STUNNEL_CONF_ENV = \
ax_cv_check_cflags___fstack_protector=$(if $(BR2_TOOLCHAIN_HAS_SSP),yes,no) \
LIBS=`$(PKG_CONFIG_HOST_BINARY) --libs openssl`
STUNNEL_LICENSE = GPL-2.0+
STUNNEL_LICENSE_FILES = COPYING.md COPYRIGHT.md
STUNNEL_CPE_ID_VENDOR = stunnel
STUNNEL_SELINUX_MODULES = stunnel
ifeq ($(BR2_INIT_SYSTEMD),y)
STUNNEL_DEPENDENCIES += systemd
else
STUNNEL_CONF_OPTS += --disable-systemd
endif
define STUNNEL_INSTALL_CONF
$(INSTALL) -m 0644 -D $(@D)/tools/stunnel.conf \
$(TARGET_DIR)/etc/stunnel/stunnel.conf
rm -f $(TARGET_DIR)/etc/stunnel/stunnel.conf-sample
endef
STUNNEL_POST_INSTALL_TARGET_HOOKS += STUNNEL_INSTALL_CONF
define STUNNEL_INSTALL_INIT_SYSV
$(INSTALL) -m 0755 -D package/stunnel/S50stunnel $(TARGET_DIR)/etc/init.d/S50stunnel
endef
$(eval $(autotools-package))